<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@006F=99</action>
    </script>
  </cheat>

  <cheat desc="Invincibility">
    <script state="on">
      <action>temp0 =maincpu.mb@6B1A</action>
      <action>temp1 =maincpu.mb@6B40</action>
      <action>temp2 =maincpu.mb@7051</action>
    </script>
    <script state="run">
      <action>maincpu.mb@6B1A=60</action>
      <action>maincpu.mb@6B40=20</action> <!-- Part 1 asteroid/saucer collisions, Part 2 saucer Fire -->
      <action>maincpu.mb@7051=00</action> <!-- Hyperspace Re-Entry -->
    </script>
    <script state="off">
      <action>maincpu.mb@6B1A=temp0 </action>
      <action>maincpu.mb@6B40=temp1 </action>
      <action>maincpu.mb@7051=temp2 </action>
    </script>
  </cheat>

  <cheat desc="Bullets never Explode"> <comment>They will keep moving and destroying to they reach their full range</comment>
    <script state="on">
      <action>temp0 =maincpu.mb@6B3A</action>
      <action>temp1 =maincpu.mb@6B42</action>
    </script>
    <script state="run">
      <action>maincpu.mb@6B3A=AD</action>
      <action>maincpu.mb@6B42=00</action>
    </script>
    <script state="off">
      <action>maincpu.mb@6B3A=temp0 </action>
      <action>maincpu.mb@6B42=temp1 </action>
    </script>
  </cheat>

  <cheat desc="Select UFO Appearance Rate">
    <parameter>
      <item value="0x01">No UFOs at all</item>
      <item value="0x02">Lots of UFOs</item>
    </parameter>
    <script state="run">
      <action condition="(param==01)">maincpu.pb@02F7=FF</action>
      <action condition="(param==02) AND (frame % 60 == 0)">maincpu.pb@02F7=01</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire">
    <script state="run">
      <action>maincpu.pb@0062=00</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@0056=05</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@0057=05</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
